Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO_IOP::Duplicate Exception Reference

@ Bala, please describe this exception. More...

`#include <IORC.h>`

List of all members.

## Public Methods
| Duplicate (void)
| Duplicate (const Duplicate &)
| ~Duplicate (void)
Duplicate & | operator= (const Duplicate &)
virtual CORBA::Exception * | _tao_duplicate (void) const
virtual void | _raise (void)
virtual void | _tao_encode (TAO_OutputCDR &ACE_ENV_ARG_DECL_NOT_USED) const
virtual void | _tao_decode (TAO_InputCDR &ACE_ENV_ARG_DECL_NOT_USED)
virtual CORBA::TypeCode_ptr | _type (void) const
## Static Public Methods
void | _tao_any_destructor (void *)
Duplicate * | _downcast (CORBA::Exception *)
CORBA::Exception * | _alloc (void)

## Detailed Description

@ Bala, please describe this exception.

Exceptions:

  Duplicate |

## Constructor & Destructor Documentation

TAO_IOP::Duplicate::Duplicate | ( | void |  | ) |

TAO_IOP::Duplicate::Duplicate | ( | const Duplicate & |  | ) |

TAO_IOP::Duplicate::~Duplicate | ( | void |  | ) |

## Member Function Documentation

CORBA::Exception * TAO_IOP::Duplicate::_alloc | ( | void |  | ) | `[static]`

TAO_IOP::Duplicate * TAO_IOP::Duplicate::_downcast | ( | CORBA::Exception * | exc | ) | `[static]`

void TAO_IOP::Duplicate::_raise | ( | void |  | ) | `[virtual]`

void TAO_IOP::Duplicate::_tao_any_destructor | ( | void * | _tao_void_pointer | ) | `[static]`

virtual void TAO_IOP::Duplicate::_tao_decode | ( | TAO_InputCDR & | ACE_ENV_ARG_DECL_NOT_USED | ) | `[virtual]`

CORBA::Exception * TAO_IOP::Duplicate::_tao_duplicate | ( | void |  | ) | const`[virtual]`

virtual void TAO_IOP::Duplicate::_tao_encode | ( | TAO_OutputCDR & | ACE_ENV_ARG_DECL_NOT_USED | ) | const`[virtual]`

virtual CORBA::TypeCode_ptr TAO_IOP::Duplicate::_type | ( | void |  | ) | const`[virtual]`

Duplicate& TAO_IOP::Duplicate::operator= | ( | const Duplicate & |  | ) |

The documentation for this exception was generated from the following files:

- IOR.pidl
- IORC.h
- IORC.cpp